"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.compile = exports.prepare = exports.DEFAULT_CONFIG = void 0;
const path_1 = __importDefault(require("path"));
const testing_1 = require("@openapi-generator-plus/testing");
const __1 = __importDefault(require(".."));
const child_process_1 = require("child_process");
exports.DEFAULT_CONFIG = {
    npm: {},
};
async function prepare(spec, config) {
    return (0, testing_1.createCodegenResult)(path_1.default.resolve(__dirname, spec), config || exports.DEFAULT_CONFIG, __1.default);
}
exports.prepare = prepare;
async function compile(basePath) {
    return new Promise(function (resolve, reject) {
        (0, child_process_1.exec)('npm install', {
            cwd: basePath,
        }, function (error, stdout, stderr) {
            if (error) {
                reject(new Error(`${error.cmd || '<unknown>'} exited with code ${error.code || 'unknown'}:\n ${stdout || stderr}`));
            }
            else {
                resolve();
            }
        });
    });
}
exports.compile = compile;
